/**
 * cccid_sig.c
 * Copyright (C) 2012, 2013 Jan Viktorin
 */

#include "cccid_sig.h"
#include <signal.h>

static
int exit_request = 0;

static
void handle_sig(int sig)
{
	switch(sig) {
	case SIGQUIT:
	case SIGKILL:
	case SIGTERM:
	case SIGINT:
		exit_request = 1;
		break;
	}
}

void cccid_sig_install(void)
{
	signal(SIGPIPE, SIG_IGN);
	signal(SIGINT,  handle_sig);
	signal(SIGQUIT, handle_sig);
	signal(SIGTERM, handle_sig);
}

int cccid_sig_exit(void)
{
	return exit_request;
}
