/**
 * hwio_filter.h
 * Copyright (C) 2012, 2013 Jan Viktorin
 */

#include "../ccci_rule.h"
#include "hwio.h"
#include <inttypes.h>

/**
 * Initializes the module.
 * Returns zero on success.
 */
int hwio_filter_init(struct hwio_comp *filter);

/**
 * Finalizes the module.
 * Destroys the instance of the filter.
 */
void hwio_filter_fini(void);

/**
 * Adds the rule into the given filter.
 * Generates a new RID for that rule.
 * Returns zero on failure.
 */
uint16_t hwio_filter_addrule(const union ccci_rule *rule,
		uint32_t sid, uint32_t *rid);

/**
 * Deletes the rule from the filter.
 * When successful the given RID can be treated as unused.
 * Returns zero on failure.
 */
uint16_t hwio_filter_delrule(const union ccci_rule *rule,
		uint32_t sid, uint32_t rid);
