##
## Common make rules and definitions
##

CC      = $(Q) gcc
AR      = ar
CFLAGS = -std=c99 -Wall -pedantic -fPIC

ECHO = echo
MAKE = make
Q ?= @

all:

ifeq ($(VALGRIND),0)
TEST_PREFIX ?=
after-test-check:
else
TEST_PREFIX ?= valgrind --log-file=valgrind.out
after-test-check:
	$(Q) test -f valgrind.out \
		&& grep -A2 'HEAP SUMMARY' valgrind.out | sed 's/^==[0-9]*== */# /' \
		|| true
	$(Q) $(RM) valgrind.out
endif

ifeq ($(DEBUG),1)
CFLAGS += -pg -ggdb3
endif

clean-o:
	$(Q) $(RM) *.o

.PHONY: all tests clean distclean
